import React, {useContext, useState, useEffect} from 'react'
import styled from 'styled-components'
import { Container } from 'react-grid-system'
import {ButtonMostrarTodos, ButtonMostrarMais, BtnAlinhaRecPvt, DivContainerRecursosPublicados, ContainerDivStyled, DivTitulo, StyledP, StyledHR} from './TabPanelMeusRecursos.js'
import NoRede1 from '../../img/no-rede-1.png'
import NoRede2 from '../../img/no-rede-2.png'
import NoRede3 from '../../img/no-rede-3.png'
import Paper from '@material-ui/core/Paper';
import TabRedeImgDiv from './TabRedeImgDiv.js'

export default function ContainerRedeVazia (props) {
    return (
        <React.Fragment>
            <ContainerDivStyled>
                <Paper elevation={3}>
                    <div>
                        <RedeVaziaBoxContainer>
                            <StyledSpan>Você ainda não tem uma rede.
                            <br/>
                            Veja como começar:
                            </StyledSpan>
                            <StyledSpan>
                                <StyledHr/>
                                    <DivColumns>
                                            <TabRedeImgDiv img={NoRede1} text={"Para encontrar um usuário específico, você pode utilizar a barra de busca e selecionar a busca por \"pessoas\""}/>
                                            <TabRedeImgDiv img={NoRede2} text={"Você pode começar a seguir uma pessoa clicando no botão \"seguir\" no card (A) ou na página dela (B)"}/>
                                            <TabRedeImgDiv img={NoRede3} text={"Pronto! Agora você poderá acompanhar os novos recursos e coleções dessa pessoas na sua página, na aba \"Perfil e Atividades\""}/>
                                    </DivColumns>
                            </StyledSpan>
                        </RedeVaziaBoxContainer>
                    </div>
                </Paper>
            </ContainerDivStyled>
        </React.Fragment>
    )
}

const DivColumns = styled.div`
    display : flex;
    flex-direction : row;
    aling-items : space-between
    padding-right : 15px;
    padding-left : 15px
`

const StyledHr = styled.hr`
    margin-top : 20px;
    margin-bottom : 20px;
    border : 0;
    border-top: 1px solid #eee;
`

const RedeVaziaBoxContainer = styled.div`
    background-color : #fff;
    box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
    padding: 30px;
    padding-right: 30px;
    padding-left: 30px;
    margin-bottom: 30px;
    text-align: center;
    height: 100%;
    padding-left: 0 !important;
    padding-right: 0 !important;
    margin-top: 20px;
}
`
const StyledSpan = styled.span`
    font-weight : lighter;
    margin-top: 0;
    font-family: Roboto;
    font-size: 24px;
`
