import React, {useContext} from 'react'
import styled from 'styled-components'
import { Store } from '../../Store.js';
import Button from '@material-ui/core/Button';
import IconButton from '@material-ui/core/IconButton';
import PhotoCamera from '@material-ui/icons/PhotoCamera';
import Tooltip from '@material-ui/core/Tooltip';

export default function TabPanelEditarPerfil (props) {
    const {state, dispatch} = useContext(Store)

    const updateCover = (selectorFiles : FileList) => {
        console.log(selectorFiles)
        console.log(selectorFiles[0].name)
    }

    return (
        <ContainerDIv>
            <h1 style={{fontSize:"30px", fontWeight:"300", marginTop:"0", marginBottom:"10px"}}>Editar Perfil </h1>
                <ContentDiv>
                    <div style={{padding:"0", display:"flex", flexDirection:"column"}}>
                        <HeaderContainer>
                            <div style={{position:"relative", height:"100%"}}>
                                <img src={state.currentUser.userCover} alt="user cover avatar" style={{width:"100%", height:"100%", objectFit:"cover"}}/>
                                <input accept="image/*" style = {{display:"none"}} id="icon-button-file" type="file" onChange={(e) => updateCover(e.target.files)}/>
                                <label htmlFor="icon-button-file">
                                    <Tooltip title={<span style={{fontSize:"14px", overflow:"hidden", transition:"all .5s ease"}}>ALTERAR CAPA</span>} placement="left">
                                        <IconButton style={{position:"absolute",right:"0",top:"0",color:"#fff"}}color="primary" aria-label="upload picture" component="span">
                                            <PhotoCamera />
                                        </IconButton>
                                    </Tooltip>
                                </label>
                            </div>
                        </HeaderContainer>
                    </div>
                </ContentDiv>
        </ContainerDIv>
    )
}

const HeaderContainer = styled.div`
    background-color : #afeeee;
    position : relative;
    height : 150px;
    border-radius : 8px;
`

const ContentDiv = styled.div`
    display : flex;
    flex-direction : column;
    align-content : stretch;
    align-items : stretch;
    font-family : 'Roboto', sans serif !important;
    font-size : 14px;
    justify-content : center;
    line-height : 20px;
    text-align : center;
    color : #666;
`

const ContainerDIv = styled.div`
    box-shadow : 0 0 5px 0rgba(0,0,0,.25);
    background-color : #fff;
    text-align : start;
    margin-left : auto;
    margin-right : auto;
    padding : 40px;
    margin : 20px 0 20px 10px;
    border-radius : 3px;
    display : flex;
    flex-direction : column;
`
